# Uses of Interface
org.apache.cxf.transport.DestinationFactory

Packages that use DestinationFactory
Package
Description
org.apache.cxf.bus.managers
org.apache.cxf.endpoint
org.apache.cxf.transport

- ## Uses of DestinationFactory in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers that return DestinationFactory
  Modifier and Type
  Method
  Description
  `DestinationFactory`
  DestinationFactoryManagerImpl.`getDestinationFactory(String namespace)`
  Returns the conduit initiator for the given namespace, constructing it (and storing in the cache for future reference) if necessary, using its list of factory classname to namespace mappings.
  `DestinationFactory`
  DestinationFactoryManagerImpl.`getDestinationFactoryForUri(String uri)`
  Methods in org.apache.cxf.bus.managers with parameters of type DestinationFactory
  Modifier and Type
  Method
  Description
  `void`
  DestinationFactoryManagerImpl.`registerDestinationFactory(String namespace, DestinationFactory factory)`
  Constructor parameters in org.apache.cxf.bus.managers with type arguments of type DestinationFactory
  Modifier
  Constructor
  Description
  ``
  `DestinationFactoryManagerImpl(Map<String,DestinationFactory> destinationFactories)`
  ``
  `DestinationFactoryManagerImpl(Map<String,DestinationFactory> destinationFactories, Bus b)`

- ## Uses of DestinationFactory in org.apache.cxf.endpoint

  Fields in org.apache.cxf.endpoint declared as DestinationFactory
  Modifier and Type
  Field
  Description
  `protected DestinationFactory`
  AbstractEndpointFactory.`destinationFactory`
  Methods in org.apache.cxf.endpoint that return DestinationFactory
  Modifier and Type
  Method
  Description
  `DestinationFactory`
  AbstractEndpointFactory.`getDestinationFactory()`
  Methods in org.apache.cxf.endpoint with parameters of type DestinationFactory
  Modifier and Type
  Method
  Description
  `void`
  AbstractEndpointFactory.`setDestinationFactory(DestinationFactory destinationFactory)`
  Constructors in org.apache.cxf.endpoint with parameters of type DestinationFactory
  Modifier
  Constructor
  Description
  ``
  `ServerImpl(Bus bus, Endpoint endpoint, DestinationFactory destinationFactory, BindingFactory bindingFactory)`

- ## Uses of DestinationFactory in org.apache.cxf.transport

  Methods in org.apache.cxf.transport that return DestinationFactory
  Modifier and Type
  Method
  Description
  `DestinationFactory`
  DestinationFactoryManager.`getDestinationFactory(String name)`
  Returns the `DestinationFactory` registered with the specified name, loading the appropriate plugin if necessary.
  `DestinationFactory`
  DestinationFactoryManager.`getDestinationFactoryForUri(String uri)`
  Returns the `DestinationFactory` registered with the specified URI, loading the appropriate plugin if necessary.
  Methods in org.apache.cxf.transport with parameters of type DestinationFactory
  Modifier and Type
  Method
  Description
  `void`
  DestinationFactoryManager.`registerDestinationFactory(String name, DestinationFactory factory)`
  Associates a name, often a URI, with a `DestinationFactory` when registering with the `Bus`'s `TransportRegistry`.